


@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    80% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}


@keyframes enlarge {
    0% {
        transform: scale(1.02);
    }
    100% {
        transform: scale(1.4);
    }
}







.admin__gallery {
    animation: fadeIn 400ms ease-in;
}



.admin__gallery img, .img {
    max-height: 700px;
    max-width: 100%;
}

.resize {
    object-fit: cover;
    height: 400px;
}

.admin__gallery-matrix {
    margin: 0 0 25% 0;
    top: 80px;
    width: 100%;
    overflow: hidden;
    display: grid;
    place-items: center;
}
.container {
    margin: 3%;
    background-color: transparent;
}

.admin__gallery-matrix-cell {

}

.admin__gallery-matrix-cell:hover {
    transform: scale(1);
    cursor: auto;
}

.admin__gallery .card {
    background-color: #eee;
    box-shadow: 0 7px 8px -9px rgba(0 ,0 ,0 , 0.6);
    min-height: 300px;
    min-width: 300px;
}

.card--enlarge {
    animation: enlarge 200ms ease-in;
}

.admin-gallery_matrix_fullscreen {
    background-color: rgba(0, 0, 0, 0.9);
    position: absolute;
    top: 0;
    height: 1000vh;
    width: 100%;
    object-fit: fill;
}

.admin-container--fullscreen {
    display: grid;
    margin: 4.5%;
    place-items: center;
    height: calc(100vh - 300px);
    animation: fadeIn 500ms ease-in-out;
}

.add-section {
    color: #eee;
    margin: 5% 0;
    padding: 1.5em 3em 1em 3em;
    border-radius: 180px;
    border: #bbbbbb 3px solid;
}

.add-section:hover {
    cursor: pointer;
    background-color: #aaaaaa;
    color: #000;
}

.add-icon {
    transform: scale(2);
}

.admin__gallery button h6 {
    margin-left: 0.5em;
}

.admin__gallery .deleteBtn:hover {
    cursor: pointer;
    color: darkred;
}

.admin-gallery-add {
    width: 50%;
    background-color: #222222;
    border-radius: 10px;
}

.admin-container--fullscreen h1 {
    font-size: 35px;
    color: white;
    margin: 1em;
}

